import React, { useState, useEffect } from "react";
import { Link } from "react-router-dom";
import _ from "lodash";
import { connect } from "react-redux";

function BookToggle({ book, theme }: any) {
  const [fade, setFade] = useState(false);
  useEffect(() => {}, []);
  useEffect(() => {
    setFade(false);
    setTimeout(() => {
      setFade(true);
    }, 500);
  }, [book]);
  return (
    <div
      className={_.join(
        [
          "book-toggle desktop justify-content-between align-items-center mx-auto px-2",
          theme === "light" ? "book-toggle-light" : "book-toggle-dark",
          fade ? "opacity-100" : "opacity-0",
        ],
        " "
      )}
    >
      <div className="book-toggle__info d-flex flex-column">
        <strong>{book.name}</strong>
        <p>
          روز بلوا ۱۲+۱۳۹۸۸۹٪ عماد که یک روحانی خوشنام و چهره تلویزیونی مورد
          توجه است، ناگهان با اتهام‌هایی جدی مواجه می‌شود که خود و خانواده اش را
          در موقعیت پیچیده‌ای قرار می‌دهد و...
        </p>
        <Link className="book-toggle__info--link" to={"/courses/" + book.id}>ادامه</Link>
      </div>
      <Link to={"/courses/" + book.id} className="book-toggle__img">
        <img src={`https://dnvn.ir/api/v1/file/${book.fileIds}`} alt="" />
      </Link>
    </div>
  );
}

export default connect(
  (state: any) => ({
    theme: state.publicApi.theme,
  }),
  {}
)(BookToggle);
