import React from "react";
import TextField from "@mui/material/TextField";
import { makeStyles } from "@mui/styles";

export default function FormPropsTextFields({
  defaultValue,
  maxLength,
  inputMode,
  onInput,
  onChange,
  align,
  label,
  name,
}) {
  const useStyles = makeStyles((theme) => ({
    root: {
      "& .MuiTextField-root": {
        width: "100%",
        position: "relative",
        marginRight: 10,
        "& input": {
          textAlign: align,
          direction: align === "right" ? "rtl" : "ltr",
        },
        fontFamily: "numeralLight",
      },
    },
  }));

  const classes = useStyles();
  return (
    <form className={classes.root} noValidate autoComplete="off">
      <div>
        <TextField
          id="outlined-basic"
          name={name}
          label={label}
          variant={"outlined"}
          onChange={(e) => onChange(name, e.target.value)}
          defaultValue={defaultValue[name] || ""}
          inputProps={{ maxLength }}
          onInput={
            onInput
              ? (e) => (e.target.value = onInput(e.target.value))
              : () => {}
          }
        />
      </div>
    </form>
  );
}

FormPropsTextFields.defaultProps = {
  align: "right",
  maxLength: "",
  inputMode: "numeric",
  defaultValue: "",
};
