import React, { useState } from "react";
import { connect } from "react-redux";
import AddCircleOutlineRoundedIcon from "@mui/icons-material/AddCircleOutlineRounded";
import { Link } from "react-router-dom";
import { toast } from "react-toastify";
import Avatar from "@mui/material/Avatar";
import CheckIcon from "@mui/icons-material/Check";

import KeyboardArrowUpIcon from "@mui/icons-material/KeyboardArrowUp";
import KeyboardArrowDownIcon from "@mui/icons-material/KeyboardArrowDown";
import { user } from "../../redux/actions";
// import user1 from "~/assets/images/user1.png";
// import user2 from "~/assets/images/user2.png";
import mobileHome from "../../assets/icons/mobileHome.svg";
import mobileAr from "../../assets/icons/mobileAr.svg";
import qrcode from "../../assets/icons/drawer-qr.png";
import mobileBasket from "../../assets/icons/mobileBasket.svg";
import mobileBlog from "../../assets/icons/mobileBlog.svg";
import mobileMail from "../../assets/icons/mobileMail.svg";
import mobileProfile from "../../assets/icons/mobileProfile.svg";
import mobileDanger from "../../assets/icons/mobileDanger.svg";
import mobileLogout from "../../assets/icons/mobileLogout.svg";
import proxy from "../../redux/proxy";
import _ from "lodash";

const NavbarDrawer = ({ status, logout, theme }: any) => {
  const [dropdown, setDropdown] = useState(false);
  const links = [
    {
      name: "صفحه اصلی",
      link: "/",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    {
      name: "ورود یا ثبت نام",
      link: "/auth",
      icon: <img src={mobileLogout} alt="کتاب‌های من" />,
      toast: "",
      message: "",
    },
    {
      name: "فروشگاه",
      link: "/products",
      icon: <img src={mobileBlog} alt="کتاب‌های من" />,
      toast: "",
      message: "",
    },
    {
      name: "بلاگ",
      link: "/blogs",
      icon: <img src={mobileBlog} alt="بلاگ" />,
      toast: "",
      message: "",
    },
    {
      name: "پشتیبانی",
      link: "/support",
      icon: <img src={mobileDanger} alt="پشتیبانی" />,
      toast: "",
      message: "",
      // onClick: this.props.logout,
    },
  ];
  const links2 = [
    {
      name: "صفحه اصلی",
      link: "/",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    {
      name: "یوتیوب",
      link: "/video-tube",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    {
      name: "خریداشتراک",
      link: "/subscribe",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    {
      name: "سوالات متداول",
      link: "/faq",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    {
      name: "صفحه محصول",
      link: "/courses/1",
      icon: <img src={mobileHome} alt="صفحه اصلی" />,
      toast: "",
      message: "",
    },
    // {
    //   name: "واقعیت افزوده",
    //   link: "/ar",
    //   icon: <img src={mobileAr} alt="واقعیت افزوده" />,
    //   toast: "",
    //   message: "",
    // },
    // {
    //   name: "بارکد خوان",
    //   link: "/qr-scan",
    //   icon: <img src={qrcode} alt="بارکد خوان" />,
    //   toast: "",
    //   message: "",
    // },
    // {
    //   name: "کتاب‌های من",
    //   link: "/mybooks",
    //   icon: <img src={mobileBlog} alt="کتاب‌های من" />,
    //   toast: "",
    //   message: "",
    // },
    // {
    //   name: "سبد خرید",
    //   link: "/cart",
    //   icon: <img src={mobileBasket} alt="فروشگاه" />,
    //   toast: "",
    //   message: "",
    // },
    // {
    //   name: "بلاگ",
    //   link: "/blogs",
    //   icon: <img src={mobileBlog} alt="بلاگ" />,
    //   toast: "",
    //   message: "",
    // },
    // {
    //   name: "دانوینی‌ها",
    //   link: "/",
    //   icon: <img src={mobileProfile} alt="دانوینی‌ها" />,
    //   toast: "به زودی این بخش فعال می شود",
    //   message: "به زودی",
    // },
    {
      name: "تماس با ما",
      link: "/contact",
      icon: <img src={mobileDanger} alt="پشتیبانی" />,
      toast: "",
      message: "",
      // onClick: this.props.logout,
    },
    // {
    //   name: "ویرایش مشخصات",
    //   link: "/profile",
    //   icon: <img src={mobileMail} alt="ویرایش مشخصات" />,
    //   toast: "",
    //   // message: "4 پیام",
    // },
    // {
    //   name: "بروز رسانی",
    //   link: "/",
    //   icon: <img src={mobileLogout} alt="خروج" />,
    //   toast: "",
    //   message: "",
    //   onClick: () => {
    //     window.location.reload();
    //   },
    // },
    {
      name: "خروج",
      link: "/auth",
      icon: <img src={mobileLogout} alt="خروج" />,
      toast: "",
      message: "",
      onClick: () => {
        logout({});
      },
    },
  ];
  const statusx = proxy.status();
  let score = 2;
  const light = theme === "light";
  return (
    <div
      className={_.join(
        [
          "navbar-drawer d-flex flex-column",
          light ? "navbar-drawer-light bg-light" : "navbar-drawer-dark bg-black",
        ],
        " "
      )}
    >
      {statusx ? (
        <div className="navbar-drawer__header d-flex align-items-center">
          <>
            <Avatar
              style={{ width: 60, height: 60 }}
              alt="Remy Sharp"
              src={
                status.picFileId
                  ? `https://dnvn.ir/api/v1/file/${status.picFileId}`
                  : ""
              }
            />

            <div className="navbar-drawer__header--right d-fex flex-column">
              <h1>{status.firstName + " " + status.lastName}</h1>
            </div>
          </>

          {dropdown ? (
            <div
              className="navbar-drawer__header--dropdown"
              onClick={() => setDropdown(false)}
            >
              {/* {score ? <span>{score} امتیاز</span> : null} */}
              <KeyboardArrowUpIcon style={{ color: "grey", fontSize: 30 }} />
            </div>
          ) : (
            <div
              className="navbar-drawer__header--dropdown"
              onClick={() => setDropdown(true)}
            >
              {/* {score ? <span>{score} امتیاز</span> : null}{" "} */}
              <KeyboardArrowDownIcon style={{ color: "grey", fontSize: 30 }} />
            </div>
          )}
        </div>
      ) : null}
      {dropdown ? (
        <div className="navbar-drawer__dropdown d-flex flex-column">
          {/* {this.props.users.map((item, i) => (
              <User data={item} key={i} />
            ))} */}
          <Link
            to={"/newProfile"}
            // key={this.props.users.length + 1}
            style={{ color: "#4e4e4e" }}
          >
            <div className="navbar-drawer__bottom--link d-flex">
              <AddCircleOutlineRoundedIcon
                style={{ fontSize: 30, color: "#333", margin: "0px 8px" }}
              />
              <div>اضافه کردن کاربر </div>
              {/* {item.message && <div class="badge">{item.message}</div>} */}
            </div>
          </Link>
        </div>
      ) : null}
      <div className="navbar-drawer__bottom mt-3">
        {(true ? links2 : links).map((item: any, key: any) => (
          <Link
            to={item.link}
            key={key}
            onClick={
              item.onClick ||
              (() => (item.link === "" ? toast.error(item.toast) : null))
            }
          >
            <div className="navbar-drawer__bottom--link d-flex">
              {item.icon}
              <div>{item.name}</div>
              {item.message && <div className="badge">{item.message}</div>}
            </div>
          </Link>
        ))}

        {/* <div className="navbar-drawer__bottom--version d-flex">
            <span>نسخه نرم‌افزار 3.1</span>
          </div> */}
      </div>
    </div>
  );
};

export default connect((state: any) => ({ status: state.user.status }), {
  logout: user.logout,
})(NavbarDrawer);

const User = (props: any) => {
  return (
    <div
      className="navbar-drawer-user d-flex align-items-center"
      style={{ backgroundColor: props.data.status === 1 ? "#eee" : "white" }}
    >
      <Avatar
        style={{ width: 55, height: 55 }}
        alt={props.data.firstName + " " + props.data.lastName}
        src={props.data.image}
      />
      <div className="navbar-drawer-user__right d-flex flex-column">
        <h1
          style={{
            color: props.data.status === 1 ? "$green3" : "#4D4D4F",
          }}
        >
          {props.data.firstName + " " + props.data.lastName}
        </h1>
        <div
          style={{
            color: props.data.status === 1 ? "$green3" : "#4D4D4F",
          }}
        >
          {props.data.title}
        </div>
      </div>
      {props.data.status === 1 ? (
        <div style={{ position: "absolute", left: 24, top: 16 }}>
          <CheckIcon style={{ fontSize: 40, color: "$green3" }} />
        </div>
      ) : null}
    </div>
  );
};
