import React from "react";
import { Route, Redirect } from "react-router-dom";
import { connect } from "react-redux";

const PrivateRouter = ({
  component: Component,
  restricted,
  status,
  customPage,
  ...rest
}) => {
  return (
    <Route
      {...rest}
      render={(props) =>
        restricted  ? (
          <Redirect to="/" />
        ) : (
          <Component page={customPage} />

        )
      }
    />
  );
};

export default connect(
  (state) => ({
    status: state.user.status,
  }),
  {}
)(PrivateRouter);
