import React from "react";
import { makeStyles, withStyles } from "@mui/styles";
import FormControl from "@mui/material/FormControl";
import Select from "@mui/material/Select";
import MenuItem from '@mui/material/MenuItem';
import KeyboardArrowDownIcon from "@mui/icons-material/KeyboardArrowDown";
import InputLabel from "@mui/material/InputLabel";

const useStyles = makeStyles((theme) => ({
  marginLeft: {
    // margin: theme.spacing(1),
    marginLeft: 8,
  },
}));

export default function CustomizedSelects({
  options,
  selectedOptions,
  name,
  label,
  onChange,
}: any) {
  const classes = useStyles();
  return (
    <>
      <div style={{ position: "relative" }}>
        <FormControl variant="outlined" className={classes.marginLeft}>
          <InputLabel id="demo-simple-select-label">
            {label}
          </InputLabel>
          <Select
            labelId="demo-simple-select-label"
            id="demo-simple-select"
            value={selectedOptions}
            onChange={(e: any) => onChange(name, e.target.value)}
            
          >
            {options?.map((option: any, i: any) => (
              <MenuItem key={i} value={option.name}>
                {option.name}
              </MenuItem>
            ))}
          </Select>
        </FormControl>
        <KeyboardArrowDownIcon
          style={{
            position: "absolute",
            left: 5,
            top: '50%',
            transform: "translateY(-50%)",
            fontSize: 30,
            color: "#a5a5a5",
          }}
        />
      </div>
    </>
  );
}
