import React from "react";
import StarIcon from "@mui/icons-material/Star";
import Rating from "@mui/material/Rating";

export default function StyledRating({ rate, theme }: any) {
  const mobile = window.innerWidth < 1008;
  return (
    <>
      {mobile && (
        <Rating
          name="customized-color"
          defaultValue={rate}
          precision={0.5}
          icon={<StarIcon style={{ fontSize: 20, color: "#FFED00" }} />}
          emptyIcon={
            <StarIcon
              style={{
                fontSize: 20,
                color: theme === "dark" ? "#494949" : "#aaa",
              }}
            />
          }
        />
      )}
      {!mobile && (
        <Rating
          name="customized-color"
          defaultValue={rate}
          precision={0.5}
          icon={<StarIcon style={{ fontSize: 20, color: "#FFED00" }} />}
          emptyIcon={
            <StarIcon
              style={{
                fontSize: 20,
                color: theme === "dark" ? "#494949" : "#aaa",
              }}
            />
          }
        />
      )}
    </>
  );
}
