import React from "react";
import { connect } from "react-redux";
import { publicApi } from "../../redux/actions";

function ThemeSwitch({ theme, setTheme }: any) {
  return (
    <div className="desktop">
      <input
        type="checkbox"
        id="toggle"
        checked={theme === 'dark'}
        className="toggle--checkbox"
        onChange={() => setTheme(theme === "light" ? "dark" : "light")}
      />
      <label htmlFor="toggle" className="toggle--label">
        <span className="toggle--label-background"></span>
      </label>
    </div>
  );
}

export default connect(
  (state: any) => ({
    theme: state.publicApi.theme,
  }),
  { setTheme: publicApi.setTheme }
)(ThemeSwitch);
