import proxy from "../proxy";
import { Dispatch } from "redux";

const user = {
  otp: (data: String) => async (dispatch: Dispatch) =>
    await proxy.post("public/sendOTP", data, { dispatch }),

  otp_login: (data: Object) => async (dispatch: Dispatch) =>
    await proxy.login("user/otp/login", data, { dispatch }),

  login: (data: Object) => async (dispatch: Dispatch) =>
    await proxy.login("user/login", data, { dispatch }),

  // register: (data : undefined) => async (dispatch : Dispatch) =>
  //   await proxy.login("user/register", data, {  dispatch }),

  // switchRole: (data : String) => async (dispatch : Dispatch) =>
  //   await proxy.login("user/switchRole", data, {  dispatch }),

  logout: (data: String) => async (dispatch: Dispatch) =>
    await proxy.logout("user/logout", data, { dispatch }),

  getUserRole: (data: String) => async (dispatch: Dispatch) =>
    await proxy.get("user/getUserRole", data, { dispatch }),

  // list:
  //   (data = {}) =>
  //   async (dispatch : Dispatch) =>
  //     await proxy.get("user/list", data, { dispatch }),
  // domains:
  //   (data = {}) =>
  //   async (dispatch : Dispatch) =>
  //     await proxy.get("user/domains", data, { dispatch }),
  // getmothers:
  //   (data = {}) =>
  //   async (dispatch : Dispatch) =>
  //     await proxy.get("mothers/list", data, {
  //       dispatch,
  //     }),
  getProfile:
    (data = {}) =>
    async (dispatch: Dispatch) =>
      await proxy.get("user/getProfile", data, { dispatch }),
  setProfile:
    (data = {}, data2 = {}) =>
    async (dispatch: Dispatch) => {
      await proxy.put("user/setProfile", data, { dispatch });
      await proxy.get("user/getProfile", data2, { dispatch });
    },
  add:
    (data = {}, data2 = {}) =>
    async (dispatch: Dispatch) => {
      await proxy.post("user/add", data);
      await proxy.get("user/list", data2, { dispatch });
    },
  del:
    (data = {}, data2 = {}) =>
    async (dispatch: Dispatch) => {
      await proxy.delete("user/delete", data);
      await proxy.get("user/list", data2, { dispatch });
    },
};

export default user;
