import "./App.css";
import { BrowserRouter as Router, Route, Switch } from "react-router-dom";
import { connect } from "react-redux";

import Auth from "./views/Auth";
import Home from "./views/Home";
import Course from "./views/Course";
import VideoTube from "./views/VideoTube";
import Subscription from "./views/Subscription";
import Contact from "./views/Contact";
import Faq from "./views/Faq";
import PrivateRouter from "./components/PrivateRouter";
import Courses from "./views/Courses";
import About from "./views/About";
// import proxy from "./redux/proxy";

function router({ status }) {
  return (
    <Router>
      <Switch>
        <Route exact path="/">
          <Home />
        </Route>
        <PrivateRouter
          restricted={false}
          component={Auth}
          path="/sign-up"
          exact
          customPage="signup"
        />
        <PrivateRouter
          restricted={false}
          component={Auth}
          path="/login"
          exact
          customPage="login"
        />
        <Route exact path={"/profile"}>
          <Auth page="profile" />
        </Route>
        <Route exact path={"/grades/:id"}>
          <Courses page="grades" />
        </Route>
        <Route exact path={"/search"}>
          <Courses page="search" />
        </Route>
        <Route exact path={"/about"}>
          <About />
        </Route>
        <Route exact path={"/courses/:id"}>
          <Course />
        </Route>
        <Route exact path={"/video/:id"}>
          <VideoTube />
        </Route>
        <Route exact path={"/subscribe"}>
          <Subscription />
        </Route>
        <Route exact path={"/contact"}>
          <Contact />
        </Route>
        <Route exact path={"/faq"}>
          <Faq />
        </Route>
        {/* <Route exact path={"/login"}>
          <Auth page="login" />
        </Route> */}
      </Switch>
    </Router>
  );
}

export default connect((state) => ({
  status: state.user.status,
}))(router);
