import React, { Component, Fragment } from "react";
import _ from "lodash";
import Navbar from "../../components/Navbar/index";
import Footer from "../Home/Footer/index";
import { connect } from "react-redux";
import {publicApi } from '../../redux/actions';

import pic from "../../assets/images/pic.png";
import aboutLg from "../../assets/images/about-lg.png";

function About({ fury, advantages, keywords, keywords2, first, theme, setTheme }: any) {
  console.log(theme);
  return (
    <div
      className={_.join([
        "about main d-flex flex-column",
        theme === "dark" ? "main__dark" : "main__light",
      ], " ")}
    >
      <Navbar />
      <main className="d-flex flex-column align-items-center">
        <header>
          <h1>{first.title}</h1>
          <p
            style={{
              lineHeight: 2,
            }}
          >
            {first.text}
          </p>
        </header>
        <div className="linegr" style={{ width: "100%", height: "4px" }}></div>
        <div className="about__fury d-flex">
          <div className="about__fury--right d-flex flex-column justify-content-center">
            <div className="right-top align-self-start">
              <h1>{fury.title}</h1>
              <p>{fury.text}</p>
            </div>
            <div className="right-bottom align-self-start">
              <h2>{keywords.title}</h2>
              <ul>
                {keywords.list.map((item: any, i: any) => (
                  <Fragment key={i}>
                    <li style={{ padding: 5 }}>{item}</li>
                  </Fragment>
                ))}
              </ul>
            </div>
            <div className="right-bottom align-self-start">
              <h2>{keywords2.title}</h2>
              <ul>
                {keywords2.list.map((item: any, i: any) => (
                  <Fragment key={i}>
                    <li
                      style={{
                        padding: 5,
                      }}
                    >
                      {item}
                    </li>
                  </Fragment>
                ))}
              </ul>
            </div>
          </div>
          <div className="about__fury--left d-flex align-items-center">
            <img src={aboutLg} alt="عکس" />
            {/* {this.props.absoluteImages.map((item, i) => (
                      <img src={item.imageUrl} className={item.class} alt="عکس" />
                    ))} */}
          </div>
        </div>
        <div className="about__advantages d-flex">
          <div className="about__advantages--right d-flex">
            <img src={pic} alt={"عکس"} />
          </div>
          <div className="about__advantages--left">
            <h1>{advantages.title}</h1>
            <ul>
              {advantages.list.map((item: any, i: any) => (
                <Fragment key={i}>
                  <li style={{ padding: 5 }}>{item}</li>
                </Fragment>
              ))}
            </ul>
          </div>
        </div>
      </main>
      <Footer />
    </div>
  );
}

export default connect(
  (state: any) => ({
    theme: state.publicApi.theme,
  }),
  {setTheme : publicApi.setTheme,}
)(About);

About.defaultProps = {
  first: {
    title: "درباره ما",
    text: "ما در دانوین با هدف ایجاد زیرساخت تعاملی و آموزشی با تولید محتوایی جذاب بصورت کتاب با کمک پلتفرم دانوین، قصد تغییراتی بنیادین در نظام آموزش و پرورش کشور داریم. دانوین پلتفرمی شامل کتاب، محتوای الکترونیکی، رویه های آموزشی، پشتیبانی علمی و نرم افزار ارائه خدمات با رویکرد مخاطب محور است.",
  },
  fury: {
    title: "	ماموریت ما در  دانوین چیست ؟",
    text: "ارتقای سطح کیفیت و جذابیت آموزش در مدارس بصورت سازگار با نظام رسمی و کنونی آ.پ در راستای نیل به اهداف سند تحول",
  },

  keywords: {
    title: "کیفیت آموزش را بالا میبریم",
    list: [
      "شایستگی در ایجاد فهم علمی در موضوع هدف و در موضوعات وابسته به آن",
      "شایستگی در ایجاد زمینه ی معرفتی- ارزشی موثر برای محتواهای آموزشی",
    ],
  },
  keywords2: {
    title: "جذابیت کلید بهبود یادگیری",
    list: [
      "بکارگیری عوامل متنوع سازگار با ارزشها برای علاقمندی دانش آموز و معلم به استفاده از محتوای دانوین",
      "سازگار با نظام آ.پ : بطوریکه بتواند در مدارس فعلی مورد استفاده قرار گرفته و با نظام رسمی فعلی در تضاد نباشد",
      "در راستای نیل به سند تحول : تلاش برای نزدیکی گام به گام به آرمانها و اهداف سند تحول",
    ],
  },
  advantages: {
    title: "	مزیت رقابتی دانوین",
    list: [
      "بکارگیری بروز ترین تکنولوژی های تولید و مدیریت محتوای آموزشی-تربیتی (مانند واقعیت افزوده)",
      "دارای رویکرد آموزش سرگرم کننده ",
      "بستر تعاملی و اشتراک گذاری فیلم و محتوای آموزشی",
      "رویکرد معرفتی-ارزشی",
      "ویدئو های منحصر بفرد",
      "متن گفتگو محور ، روایی ، قابل فهم ،جذاب و سرگرم کننده",
    ],
  },
};
