import React from "react";
import Select from "@mui/material/Select";
import Input from "@mui/material/Input";
import InputLabel from "@mui/material/InputLabel";
import MenuItem from "@mui/material/MenuItem";
import FormControl from "@mui/material/FormControl";
import KeyboardArrowDownIcon from "@mui/icons-material/KeyboardArrowDown";


export default function MultipleSelector({align, onChange, selectedOptions, options, defaultValue, label, name,} : any) {
  return (
    <FormControl
      variant="outlined"
      className={`mobile-multiple-selector`}
    >
      <InputLabel id="demo-mutiple-name-label">{label}</InputLabel>
      <Select
        labelId="demo-mutiple-name-label"
        id="demo-mutiple-name"
        multiple
        value={selectedOptions.map((item : any) => item.name)}
        onChange={(e) => onChange(name, e.target.value.join(","))}
        input={<Input />}
        variant="outlined"
      >
        {options.map((name : any, i : any) => (
          <MenuItem key={name} value={i}>
            {name}
          </MenuItem>
        ))}
      </Select>
      <KeyboardArrowDownIcon
        style={{
          position: "absolute",
          left: 5,
          top: 10,
          fontSize: 30,
          color: "#a5a5a5",
        }}
      />
    </FormControl>
  );
}
