import React from "react";
import AddAPhotoIcon from "@mui/icons-material/AddAPhoto";

export default function Upload({ name, value, onChange, label }) {
  return (
    <div className="profile-upload d-flex justify-content-center align-items-center mb-3">
      <>
        {value === null ? (
          <AddAPhotoIcon style={{ width: 35, height: 35, color: "white" }} />
        ) : (
          <img
            src={
              value.name
                ? URL.createObjectURL(value)
                : window.baseURL + "file/" + value
            }
            alt={"کاربر"}
          />
        )}
        <input
          type="file"
          name={name}
          onChange={(e) => onChange(e.target.name, e.target.files[0])}
        />
      </>
    </div>
  );
}
