import React, {useState, useEffect} from 'react';
import SignUp from './SignUp/index';
import Profile from './Profile/index';
import Login from './Login/index';
import {connect} from 'react-redux';


function Auth(props : any) {
  const [page, setPage] = useState(props.page);
  useEffect(() => {
    setPage(() => props.page);
  },[props.page]);
  return (
    <>
      { page === 'signup' && <SignUp theme={props.theme} /> }
      { page === 'login' && <Login theme={props.theme} setPage={setPage} /> }
      { page === 'profile' && <Profile theme={props.theme} /> }
    </>
  )
}

export default connect((state : any) => ({
  theme : state.publicApi.theme,
}))(Auth);