import React, { useState } from "react";
import { Link } from "react-router-dom";
import location from "../../../util/location";
import _ from "lodash";

export default function Course({ data, theme }: any) {
  const duration = () => {
    const minute = data.vodDuration % 60;
    const hour = Math.round(data.vodDuration / 60);
    return (hour > 0 ? hour + " " + "ساعت" : "") + " " + minute + " " + "دقیقه";
  };
  const light = theme === "light";
  return (
    <Link
      to={"/courses/" + location.getId()}
      className={_.join(
        [
          "courses-course d-flex",
          light ? "courses-course-light" : "courses-course-dark",
        ],
        " "
      )}
    >
      <img src={`https://dnvn.ir/api/v1/file/${data.fileIds}`} alt="" />
      <div className="d-flex flex-column justify-content-between px-3">
        <div className="d-flex flex-column">
          <h1>{data.name}</h1>
          <h2>نام نویسنده</h2>
        </div>

        <p>
          لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده
          از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و
        </p>
      </div>
      <span>{duration()}</span>
    </Link>
  );
}
