import React from "react";
import ar from "../../../assets/icons/ar.png";
import download from "../../../assets/icons/download.png";
import _ from "lodash";

export default function AppDownload(props: any) {
  const { theme } = props;
  return (
    <section
      className={_.join(
        [
          "app-download desktop justify-content-between align-items-center",
          theme === "light" ? "app-download__light" : "app-download__dark",
        ],
        " "
      )}
      style={{
        transform:
          window.innerWidth > 1027
            ? `translateY(-${window.innerHeight / 2}px)`
            : "",
      }}
    >
      <h1>دریافت اپلیکیشن دانوین</h1>
      <figure className="app-download__figure d-flex flex-column align-items-center">
        <div className="app-download__figure--screen"></div>
        <div className="app-download__figure--details d-flex justify-content-between align-items-center">
          <div className="d-flex align-items-center">
            <img src={ar} alt={"واقعیت افزوده"} />
            <div className="d-flex flex-column">
              <h2>دانلود اپلیکیشن اندرویدی</h2>
              <p>به راحتی آب خوردن از کافه بازار و گوناگون</p>
            </div>
          </div>
          <img src={download} alt="دانلود" />
        </div>
      </figure>
    </section>
  );
}
