import React from "react";
import { Link } from "react-router-dom";
import { connect } from "react-redux";
import _ from "lodash";

function Book({ data, theme, setActiveBook }: any) {
  const desc: any = {
    ریاضی: "ریاضی از ریاضت میاد ولی دانوین آسون و لذت بخشش کرده",
    "علوم تجربی": "علوم تجربی تو دانوین واقعا تجربی و محسوس میشه",
    "زیست شناسی": "زیست را در دانوین باید زیست",
    شیمی: "شیمی اینجا می فهمه کیمیا یعنی چی",
    فیزیک: "با دانوین فیزیکو با یه لنز جدید ببنید",
  };
  return (
    <>
      <div
        className={_.join(
          [
            "home-books-book desktop flex-column",
            theme === "light"
              ? "home-books-book-light"
              : "home-books-book-dark",
          ],
          " "
        )}
        onClick={() => setActiveBook(data)}
        draggable={"false"}
      >
        <img
          src={`https://dnvn.ir/api/v1/file/${data.fileIds}`}
          alt={data.name}
          draggable={"false"}
        />
        <footer className="d-flex">
          <div className="home-books-book__info d-flex flex-column">
            <h2>{data.name}</h2>
            <p>{desc[data.name] || ""}</p>
          </div>
        </footer>
      </div>
      <Link
        to={"/courses/" + data.id}
        className={_.join(
          [
            "home-books-book mobile flex-column",
            theme === "light"
              ? "home-books-book-light"
              : "home-books-book-dark",
          ],
          " "
        )}
        draggable={"false"}
      >
        <img
          src={`https://dnvn.ir/api/v1/file/${data.fileIds}`}
          alt={data.name}
          draggable={"false"}
        />
        <footer className="d-flex">
          <div className="home-books-book__info d-flex flex-column">
            <h2>{data.name}</h2>
            <p>{desc[data.name] || ""}</p>
          </div>
        </footer>
      </Link>
    </>
  );
}

export default connect((state: any) => ({
  theme: state.publicApi.theme,
}))(Book);
