import React, { useState } from "react";
import { connect } from "react-redux";
import Carousel from "react-elastic-carousel";
import Book from "./Book/index";
import BookToggle from "../../../components/BookToggle";
import scroll from "../../../util/scroll";

function Books({ list, number }: any) {
  const [activeBook, setActiveBook] = useState(null);
  const slideNumberHandler = () => {
    if (window.innerWidth >= 1440) {
      return 5;
    } else if (window.innerWidth >= 1008 && window.innerWidth < 1440) {
      return 4;
    } else if (window.innerWidth > 640 && window.innerWidth < 1008) {
      return 3;
    } else {
      return 2;
    }
  };

  return (
    <section
      className="home-books d-flex flex-column"
      style={{
        transform:
          window.innerWidth > 1027
            ? `translateY(-${window.innerHeight / 2}px)`
            : "",
      }}
    >
      <div className="desktop flex-column" onClick={() => scroll.bookScroll(2)}>
        <div className="position-relative">
          <Carousel
            itemsToShow={slideNumberHandler()}
            isRTL={true}
            enableTilt={false}
            showArrows={true}
            pagination={false}
          >
            {list?.map((item: Object, i: any) => (
              <Book data={item} key={i} setActiveBook={setActiveBook} />
            ))}
          </Carousel>
        </div>
        {activeBook && <BookToggle book={activeBook} />}
      </div>
      <div className="home-books__list mobile">
        {list?.map((item: Object, i: any) => (
          <Book data={item} key={i} />
        ))}
      </div>
    </section>
  );
}

export default connect((state: any) => ({}), {})(Books);
