import React, { Component } from "react";
import { Link } from "react-router-dom";
import Carousel from "react-elastic-carousel";

import dropdown from "../../../assets/icons/dropdown.png";

const HomeSlider = ({ headerData }: any) => {
  return (
    <div className="home-slider d-flex">
      <Carousel
        itemsToShow={1}
        isRTL={true}
        enableTilt={true}
        showArrows={true}
        pagination={false}
        enableAutoPlay={true}
      >
        {headerData.map((item: any, i: any) => (
          <div
            className="slider-header d-flex"
            style={{
              background: `url(https://dnvn.ir/api/v1/file/${item.fileId})`,
              backgroundRepeat : 'no-repeat',
              backgroundClip : 'content-box',
              backgroundSize : '100% 100%',
              borderRadius : 0
            }}
          >
            {/* <
              className="slider-header__right d-flex"
              style={{ backgroundColor: item.backgroundColor }}
            > */}
            {/* <div
              style={{ backgroundColor: item.backgroundColor }}
              className="slider-header__left d-flex flex-column"
            >
              <h1>{item.title}</h1>
              <h2>{item.subTitle}</h2>
              {item.buttonText && (
                <Link to={item.link || "/"}>{item.buttonText}</Link>
              )}
            </div> */}
          </div>
        ))}
      </Carousel>
    </div>
  );
};

export default HomeSlider;
