import React from "react";
import CustomCheckbox from "../../../components/CustomCheckbox";
import CircleRoundedIcon from "@mui/icons-material/CircleRounded";
import RadioButtonUncheckedRoundedIcon from "@mui/icons-material/RadioButtonUncheckedRounded";
import { connect } from "react-redux";
import { product, userProduct } from "../../../redux/actions";
import _ from "lodash";

function SubscribeRadio({ data, selectedVOD, selectVOD, theme }: any) {
  const submitVOD = (value: any) => {
    if (selectedVOD?.id === data.id) {
      selectVOD(null);
    } else {
      selectVOD(data);
    }
  };
  const light = theme === "light";
  return (
    <div
      className={_.join(
        [
          "subscribe-radio d-flex",
          selectedVOD?.id === data.id ? "subscribe-radio-active" : "",
          light ? "subscribe-radio-light" : "subscribe-radio-dark",
        ],
        " "
      )}
      onClick={() => submitVOD(data)}
    >
      <div className="subscribe-radio__name d-flex align-items-center">
        <CustomCheckbox
          icon={
            <RadioButtonUncheckedRoundedIcon
              style={{ color: "#707070", fontSize: 40, padding: 0 }}
            />
          }
          checkedIcon={
            <CircleRoundedIcon
              style={{
                color: "white",
                fontSize: 37,
                padding: 0,
                margin: "6px 3px 3px",
              }}
            />
          }
          checked={selectedVOD?.id === data.id}
        />
        <h2>{data.name}</h2>
      </div>
      <div className="subscribe-radio__factor d-flex flex-column justify-content-center align-items-center">
        {/* {data.offPercent !== 0 && ( */}
        <div className="subscribe-radio__factor--off d-flex align-items-center">
          <b>
            {data.offerPrice}
            <span></span>
          </b>
          <i>تومان</i>
        </div>
        {/* )} */}
        <div className="subscribe-radio__factor--finalPrice d-flex align-items-center">
          <strong>{data.price}</strong>
          <i>تومان</i>
        </div>
        {/* {data.offPercent !== 0 && ( */}
        {/* <span className="subscribe-radio__factor--tag">{`${30}% تخفیف ویژه`}</span> */}
        {/* )} */}
      </div>
    </div>
  );
}

export default connect(
  (state: any) => ({
    selectedVOD: state.product.selectedVOD,
  }),
  { selectVOD: product.selectVOD, addVOD: userProduct.addVOD }
)(SubscribeRadio);
