import React, { useEffect, useState } from "react";
import { connect } from "react-redux";
import { publicApi } from "../../../redux/actions";
import { Link } from "react-router-dom";
import _ from "lodash";
import Dialog from "../../../components/Dialog";

function LessonPlayList({
  category,
  selectedVideo,
  setVideoActive,
  catergories,
  realCategories,
  vods,
  theme,
  userId
}: any) {
  const bookId = localStorage.getItem("bookId");
  const [open, setOpen] = useState(false);
  useEffect(() => {
    if (localStorage.getItem("scroll-list") && vods) {
      const list: HTMLElement = document.getElementById("list") as HTMLElement;
      const listItem: HTMLElement = document.getElementById(
        "listItem" + selectedVideo?.id
      ) as HTMLElement;
      const elementHeight: any = (listItem as any)?.offsetHeight;
      const listHeight: any = (list as any).offsetHeight;
      const index = vods?.findIndex(
        (item: any) => item?.name === selectedVideo?.name
      );

      if (elementHeight * (Number(index) + 1) > listHeight) {
        list.scrollTo(0, elementHeight * (Number(index) + 1) + elementHeight);
      }
      localStorage.removeItem("scroll-list");
    }
  }, [vods]);

  const light = theme === "light";
  return (
    <div
      className={_.join(
        [
          "lesson-playlist d-flex flex-column",
          light ? "lesson-playlist-light" : "lesson-playlist-dark",
        ],
        " "
      )}
    >
      {bookId && (
        <header>
          <h3>
            {
              realCategories.filter(
                (item: any) => item.id === category[0].categoryId
              )[0].name
            }
          </h3>
          <span></span>
        </header>
      )}

      {bookId ? (
        category.map((video: any, i: any) => (
          <Link
            to={video.isFreeVod || +userId === 140 ? "/video/" + video.id : "#"}
            className={
              "lesson-playlist__item d-flex align-items-center" +
              " " +
              (video?.id === selectedVideo?.id &&
                "lesson-playlist__item--active")
            }
            key={i}
            id={"listItem" + video.id}
            onClick={() =>
              video.isFreeVod || +userId === 140 ? setVideoActive(video) : setOpen(true)
            }
          >
            <span className="lesson-playlist__item--count">
              {Number(i) + 1}
            </span>
            <div className="lesson-playlist__item--video">
              {/* <video>
                  <source
                    src={`https://dnvn.ir/api/v1/file/${video.fileIds}`}
                  />
                </video> */}
              <img
                src={`https://dnvn.ir/api/v1/file/${video.posterId}`}
                alt=""
              />
              <span>22:05</span>
            </div>
            <div className="lesson-playlist__item--text d-flex flex-column">
              <h4>{video.name}</h4>
              {/* <p>{file.text}</p> */}
            </div>
          </Link>
        ))
      ) : (
        <Link
          to={category.isFreeVod || +userId === 140  ? "/video/" + category.id : "#"}
          className={
            "lesson-playlist__item d-flex align-items-center" +
            " " +
            (category?.id === selectedVideo?.id &&
              "lesson-playlist__item--active")
          }
          onClick={() =>
            category.isFreeVod || +userId === 140 ? setVideoActive(category) : setOpen(true)
          }
          id={"listItem" + category.id}
        >
          <span className="lesson-playlist__item--count"></span>
          <div className="lesson-playlist__item--video">
            {/* <video>
                  <source
                    src={`https://dnvn.ir/api/v1/file/${video.fileIds}`}
                  />
                </video> */}
            <img
              src={`https://dnvn.ir/api/v1/file/${category.posterId}`}
              alt=""
            />
            <span>22:05</span>
          </div>
          <div className="lesson-playlist__item--text d-flex flex-column">
            <h4>{category.name}</h4>
            {/* <p>{file.text}</p> */}
          </div>
        </Link>
      )}
      <Dialog
        open={open}
        setOpen={setOpen}
        text="برای مشاهده این فیلم باید دوره را خریداری کنید."
      />
    </div>
  );
}

export default connect(
  (state: any) => ({
    selectedVideo: state.publicApi.selectedVideo,
    realCategories: state.publicApi.bookInfo?.categories,
    vods: state.publicApi.bookSection?.vods,
    userId : state?.user?.status?.id
  }),
  {
    setVideoActive: publicApi.setVideoActive,
  }
)(LessonPlayList);
